# Import your model, using the SinGen example
from SinGen import *

# Import the simulator and Runge-Kutta reqs
from CBD.simulator import Simulator
from CBD.preprocessing.butcher import ButcherTableau as BT
from CBD.preprocessing.rungekutta import RKPreprocessor

# Create the model
model = SinGen('model')

# Create the Runge-Kutta preprocessor, using the RKF45 method
RKP = RKPreprocessor(BT.RKF45(), atol=2e-5, hmin=0.1, safety=.84)

# Create the new model and simulate it
new_model = RKP.preprocess(model)
sim = Simulator(new_model)
sim.run()
